﻿@model Tuple<List<ActivitiesView>, ActivitiesSAPComboView>
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CRMMyActivities.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Activity.Activitylist</h3>
    </div>

    <div class="panel-body">

        <div class="table-responsive responsive table_cart">
            <table class="table table-striped table-hover display">
            <thead>
                <tr>
                    <th>@Activity.Code</th>
                    <th>@Activity.Activities</th>
                    <th>@Activity.UserType</th>
                    <th class="hide_responsive2">@Activity.Assigned</th>
                    <th class="hide_responsive2">@Activity.Cardcode</th>
                    <th class="hide_responsive2">@Activity.Cardname</th>
                    <th class="hide_responsive1">@Activity.Datefrom</th>
                    <th class="hide_responsive1">@Activity.Dateto</th>
                    <th>@Activity.Status</th>
                    @*<th>@Activity.Remark</th>*@
                    <th style="min-width: 180px;">&nbsp;</th>
                </tr>
            </thead>
            <tbody>
                @foreach (ActivitiesView item in Model.Item1)
                {
                    <tr>
                        <td><strong>@item.ClgCode </strong></td>
                        <td>@item.ActionName</td>
                        <td>@(item.UserType == 0 ? "User" : (item.UserType == 1 ? "Employee" : ""))</td>
                        <td class="hide_responsive2">@item.AssignedUserName</td>
                        <td class="hide_responsive2">@item.CardCode</td>
                        <td class="hide_responsive2">@item.CardName</td>
                        <td class="hide_responsive1">@item.Recontact.ToString("MM/dd/yyyy")</td>
                        <td class="hide_responsive1">@item.endDate.ToString("MM/dd/yyyy")</td>
                        <td class="no_wrap">@(item.status != null ? Model.Item2.ActivityStatusList.Where(c => c.statusID == item.status).FirstOrDefault().name : "")</td>
                        @*<td class="short_text_tables">@item.Details</td>*@
                        <td style="min-width: 180px;">
                            @if (_View)
                            {
                                <a href='@Url.Action("ActivityAction", "CRMActivity", new { @pAction = "View", @pCode = item.ClgCode, @pFrom = "MyList" })' class="btn btn-primary btn-xs but_aling_left">
                                    <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@Activity.View
                                </a>
                            }
                            @if (_Update && item.Closed != "Y")
                            {
                                <a href='@Url.Action("ActivityAction", "CRMActivity", new { @pAction = "Update", @pCode = item.ClgCode, @pFrom = "MyList" })' class="btn btn-primary btn-xs but_aling_left">
                                    <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Activity.Edit
                                </a>
                            }
                        </td>
                    </tr>
                }

            </tbody>
            </table>
        </div>



        </div>

    </div>
    @if (_Add)
    {
        <div class="col-md-2 pull-right">
            <a href='@Url.Action("ActivityAction", "CRMActivity", new { @pAction = "Add", @pCode = 0, @pFrom = "MyList" })' class="btn btn-success btn-ls pull-right ">
                <span class="glyphicon glyphicon-file"></span>&nbsp;@Activity.Add
            </a>
        </div>
    }